Name:           subtitleeditor
Version:        0.30.0
Release:        3%{?dist}
Summary:        GTK+2 tool to edit subtitles for GNU/Linux/*BSD

Group:          Applications/Multimedia
License:        GPLv3+
URL:            http://home.gna.org/subtitleeditor/
Source0:        http://download.gna.org/subtitleeditor/0.30/%{name}-%{version}.tar.gz
Patch0:         %{name}-%{version}-bug12649.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  desktop-file-utils
BuildRequires:  gettext
BuildRequires:  gstreamer-devel
BuildRequires:  gstreamer-plugins-good
BuildRequires:  gstreamer-plugins-base-devel
BuildRequires:  gtkmm24-devel
BuildRequires:  glibmm24-devel >= 2.16.3
BuildRequires:  libglademm24-devel
BuildRequires:  libxml++-devel
BuildRequires:  intltool
BuildRequires:  ccache
BuildRequires:  libtool

# For spell checking (Optional)
BuildRequires:  enchant-devel
# For OpenGL waveform renderer (Optional)
BuildRequires:  gtkglextmm-devel
# ISO-CODES 639 + 3166 (Optional)
BuildRequires:  iso-codes-devel

Requires(post): /sbin/ldconfig
Requires(postun): /sbin/ldconfig

%description
Subtitle Editor is a GTK+2 tool to edit subtitles for GNU/Linux/*BSD. It can be 
used for new subtitles or as a tool to transform, edit, correct and refine 
existing subtitle. This program also shows sound waves, which makes it easier 
to synchronise subtitles to voices.

%prep
%setup -q
%patch0 -p0

%build
%configure \
       --disable-debug \
       --disable-static \
       --enable-gl \
       --enable-ccache
make %{?_smp_mflags}

%install
%{__rm} -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

#remove .la's
find $RPM_BUILD_ROOT -name "*.la" -exec %{__rm} -f '{}' \;

#remove useless development files
%{__rm} -f $RPM_BUILD_ROOT%{_libdir}/lib%{name}.so

%find_lang %{name}

desktop-file-install --vendor="fedora" --delete-original \
  --dir %{buildroot}%{_datadir}/applications             \
  --mode 0644                                            \
  %{buildroot}%{_datadir}/applications/%{name}.desktop


%clean
%{__rm} -rf $RPM_BUILD_ROOT 

%post
/sbin/ldconfig
touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%postun
/sbin/ldconfig
touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS README TODO
%{_bindir}/%{name}
%{_datadir}/icons/hicolor/*/apps/%{name}.*
%{_datadir}/%{name}
%{_datadir}/applications/fedora-%{name}.desktop
%{_datadir}/man/man1/%{name}.1.*
%{_libdir}/lib%{name}.so.*
%{_libdir}/%{name}

%changelog
* Thu Dec 11 2008 Martin Sourada <mso@fedoraproject.org> - 0.30.0-3
- Apply patch to upstream bug 12649 (lubek)
- Various changes to spec file (lubek)

* Sat Dec 06 2008 Martin Sourada <mso@fedoraproject.org> - 0.30.0-2
- Add intltool to BuildRequires

* Sat Dec 06 2008 Martin Sourada <mso@fedoraproject.org> - 0.30.0-1
- Drop rhbz #459792 workaround
- New upstream release
 - Each function work around extension system (enable/disable/configure)
 - Add 'Generate Wavefrom From Video'
 - Add line break policy option: soft, hard, intelligent (ASS/SSA)
 - Add 'Wavefrom & Media' filter in the wavefrom dialog
 - The subtitle format system was completely rewritten
 - Update the UI when files are open.
 - Add option --enable-profiling
 - New Error Checking tool.
 - New options to set default document values.
 - Add "Edit Cell" and "Edit Next Cell".
 - Another characters coding can be selected if it fails.
 - Waveform Renderer use now Pango to draw subtitle text. 
 
* Mon Aug 25 2008 Martin Sourada <martin.sourada@gmail.com> - 0.22.3-1
- New upstream release
- Don't build with cppunit testing (rhbz #458607)
- Workaround rhbz #459792

* Thu Jul 03 2008 Martin Sourada <martin.sourada@gmail.com> - 0.21.3-1
- New upstream release
 - Add option -f --file for open a file
 - Add MimeType in desktop file.
 - Update Czech translation
 - Fix: Play/Pause button
 - Fix: #10494 (upstream)

* Thu Jun 19 2008 Martin Sourada <martin.sourada@gmail.com> - 0.21.2-1
- New upstream release

* Wed May 28 2008 Martin Sourada <martin.sourada@gmail.com> - 0.21.1-3
- Enable unit testing

* Tue May 27 2008 Martin Sourada <martin.sourada@gmail.com> - 0.21.1-2
- Update the icon cache update scriplet to follow the packaging guidelines
- Add BR: gstreamer-plugins-good

* Tue May 27 2008 Martin Sourada <martin.sourada@gmail.com> - 0.21.1-1
- Initial Fedora RPM package

